Function initBehaviors();
Function unloadBehaviors();

Global Button buttonPlayerMinimize;
Global Button buttonPlayerShadeEqualizer;
Global Button buttonPlayerNormalWebsite;
Global AnimatedLayer layerPlayerNormalVolumeIcon;
Global Layer layerPlayerShadeVolumeIcon;
Global Layer layerPlayerShadeBackground;
Global Layer layerPlayerNormalThrobber;
Global Timer timerThrobber;

initBehaviors() {
	buttonPlayerMinimize = layoutMainNormal.findObject("player.button.minimize");
	buttonPlayerShadeEqualizer = layoutMainShade.findObject("player.button.equalizer");
	buttonPlayerNormalWebsite = layoutMainNormal.findObject("player.button.website");
	
	layerPlayerShadeBackground = layoutMainShade.findObject("player.background.main");
	
	layerPlayerNormalThrobber = layoutMainNormal.findObject("player.background.display.throbber");
	
	layerPlayerNormalVolumeIcon = layoutMainNormal.findObject("player.background.volume.icon");
	layerPlayerShadeVolumeIcon = layoutMainShade.findObject("player.background.volume.icon");
	
	timerThrobber = new Timer;
	timerThrobber.setDelay(50);
	timerThrobber.start();
	
	System.onVolumeChanged(System.getVolume());
}

unloadBehaviors() {
	delete timerThrobber;
}

timerThrobber.onTimer() {
	Int intValue = ((System.getLeftVuMeter() + System.getRightVuMeter()) / 2);
	if (intValue > layerPlayerNormalThrobber.getAlpha()) {
		layerPlayerNormalThrobber.setAlpha(intValue);
		layerPlayerNormalThrobber.setTargetA(0);
		layerPlayerNormalThrobber.setTargetSpeed(0.5);
		layerPlayerNormalThrobber.gotoTarget();
	}
}

layerPlayerNormalShadowOpen.onLeftButtonDblClk(Int intPosX, Int intPosY) {
	buttonPlayerMinimize.leftClick();
}

layerPlayerNormalShadowClosed.onLeftButtonDblClk(Int intPosX, Int intPosY) {
	buttonPlayerMinimize.leftClick();
}

layerPlayerShadeBackground.onLeftButtonDblClk(Int intPosX, Int intPosY) {
	buttonPlayerMinimize.leftClick();
}

System.onVolumeChanged(Int intVolume) {
	showActionInfo("Vol: " + System.integerToString(intVolume / 255 * 100) + "%");
	if (intVolume == 0) { layerPlayerNormalVolumeIcon.gotoFrame(2); }
	if (intVolume > 0) { layerPlayerNormalVolumeIcon.gotoFrame(1); }
	if (intVolume > 125) { layerPlayerNormalVolumeIcon.gotoFrame(0); }
	
	layerPlayerNormalVolumeIcon.setAlpha(200);
	layerPlayerNormalVolumeIcon.SetTargetA(100);
	layerPlayerNormalVolumeIcon.setTargetSpeed(0.5);
	layerPlayerNormalVolumeIcon.gotoTarget();
	
	layerPlayerShadeVolumeIcon.setAlpha(200);
	layerPlayerShadeVolumeIcon.SetTargetA(100);
	layerPlayerShadeVolumeIcon.setTargetSpeed(0.5);
	layerPlayerShadeVolumeIcon.gotoTarget();
}

buttonPlayerShadeEqualizer.onLeftClick() {
	containerMain.switchToLayout("NORMAL");
	if (strEqualizerDrawerstatus == "CLOSED") {
		animateStageOne();
	}
}

buttonPlayerNormalWebsite.onLeftClick() {
	System.navigateUrl("http://www.terminator3.com");
}