Function initDrawerNormal();
Function unloadDrawerNormal();
Function animateStageOne();
Function animateStageTwo();

Global Button buttonEqualizerDrawer;
Global Group groupDrawerEqualizer;
Global Group groupDrawerEqualizerButtons;
Global Group groupDrawerVolume;
Global Layer layerEqualizerPart;
Global Layer layerClipExtender;
Global Layer layerPlayerNormalShadowOpen;
Global Layer layerPlayerNormalShadowClosed;
Global String strEqualizerDrawerstatus;
Global Timer timerAnimation;

initDrawerNormal() {
	buttonEqualizerDrawer = layoutMainNormal.findObject("player.button.equalizer");
	groupDrawerEqualizer = layoutMainNormal.findObject("player.normal.group.drawer.equalizer.main");
	groupDrawerEqualizerButtons = layoutMainNormal.findObject("player.normal.group.drawer.equalizer.buttons");
	groupDrawerVolume = layoutMainNormal.findObject("player.normal.group.drawer.volume.main");
	layerEqualizerPart = layoutMainNormal.findObject("player.background.equalizer.part.main");
	layerClipExtender = layoutMainNormal.findObject("player.background.clip.extender.main");
	
	layerPlayerNormalShadowOpen = layoutMainNormal.findObject("player.background.main.shadow.open");
	layerPlayerNormalShadowClosed = layoutMainNormal.findObject("player.background.main.shadow.closed");
	
	groupDrawerEqualizerButtons.hide();
	layerPlayerNormalShadowOpen.setAlpha(0);
	
	timerAnimation = new Timer;
	timerAnimation.setDelay(150);
	
	strEqualizerDrawerstatus = "CLOSED";
}

unloadDrawerNormal() {
	delete timerAnimation;
}

buttonEqualizerDrawer.onLeftClick() {
	animateStageOne();
}

timerAnimation.onTimer() {
	timerAnimation.stop();
	animateStageTwo();
}

groupDrawerEqualizer.onTargetReached() {
	if (strEqualizerDrawerstatus == "CLOSED") {
		groupDrawerEqualizerButtons.hide();
	}
}

animateStageOne() {
	if (strEqualizerDrawerstatus == "CLOSED") {
		groupDrawerVolume.setTargetY(68);
		groupDrawerVolume.setTargetSpeed(0.5);
		
		layerPlayerNormalShadowOpen.setTargetA(255);
		layerPlayerNormalShadowOpen.setTargetSpeed(1);
		
		layerPlayerNormalShadowClosed.setTargetA(0);
		layerPlayerNormalShadowClosed.setTargetSpeed(1);
		
		groupDrawerVolume.gotoTarget();
		layerPlayerNormalShadowOpen.gotoTarget();
		layerPlayerNormalShadowClosed.gotoTarget();
		
		strEqualizerDrawerstatus = "OPEN";
		
		timerAnimation.start();
	} else {
		groupDrawerEqualizer.setTargetY(-35 - 1);
		groupDrawerEqualizer.setTargetSpeed(1);
		
		layerEqualizerPart.setTargetX(92);
		layerEqualizerPart.setTargetSpeed(1);
		
		layerPlayerNormalShadowOpen.setTargetA(0);
		layerPlayerNormalShadowOpen.setTargetSpeed(0.25);
		
		layerPlayerNormalShadowClosed.setTargetA(255);
		layerPlayerNormalShadowClosed.setTargetSpeed(0.25);
		
		groupDrawerEqualizer.gotoTarget();
		layerEqualizerPart.gotoTarget();
		layerPlayerNormalShadowOpen.gotoTarget();
		layerPlayerNormalShadowClosed.gotoTarget();
				
		strEqualizerDrawerstatus = "CLOSED";
		
		timerAnimation.start();
	}
}

animateStageTwo() {
	if (strEqualizerDrawerstatus == "CLOSED") {
		groupDrawerVolume.setTargetY(-1 - 1);
		groupDrawerVolume.setTargetSpeed(1);
		
		layerClipExtender.setTargetX(180 + 1);
		layerClipExtender.setTargetSpeed(0.75);
		
		groupDrawerVolume.gotoTarget();
		layerClipExtender.gotoTarget();
	} else {
		groupDrawerEqualizer.setTargetY(33);
		groupDrawerEqualizer.setTargetSpeed(0.5);
		
		layerClipExtender.setTargetX(124);
		layerClipExtender.setTargetSpeed(0.5);
		
		layerEqualizerPart.setTargetX(62);
		layerEqualizerPart.setTargetSpeed(0.5);
		
		groupDrawerEqualizerButtons.show();
		layerClipExtender.gotoTarget();
		groupDrawerEqualizer.gotoTarget();
		layerEqualizerPart.gotoTarget();
	}
}